ServerBean (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.quorum

## Class ServerBean

- java.lang.Object
- - org.apache.zookeeper.server.quorum.ServerBean

- All Implemented Interfaces:
    ZKMBeanInfo, ServerMXBean
  Direct Known Subclasses:
    LocalPeerBean

      public abstract class ServerBean
      extends Object
      implements ServerMXBean, ZKMBeanInfo

  An abstract base class for the leader and follower MBeans.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStartTime()`
    `boolean` | `isHidden()` If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.zookeeper.server.quorum.ServerMXBean

      `getName`

    - ### Methods inherited from interface org.apache.zookeeper.jmx.ZKMBeanInfo

      `getName`

- - ### Constructor Detail

    - #### ServerBean

          public ServerBean()

  - ### Method Detail

    - #### isHidden

          public boolean isHidden()

      Description copied from interface: `ZKMBeanInfo`
      If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools. Used for grouping MBeans.
      Specified by:
        `isHidden` in interface `ZKMBeanInfo`
      Returns:
        true if the MBean is hidden.

    - #### getStartTime

          public String getStartTime()

      Specified by:
        `getStartTime` in interface `ServerMXBean`
      Returns:
        the start time the server

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.